WordPress.org

Support

Support » Plugins and Hacks » [Plugin: WordPress HTTPS (SSL)] CURLOPT_FOLLOWLOCATION & Safe mode

[Plugin: WordPress HTTPS (SSL)] CURLOPT_FOLLOWLOCATION & Safe mode

  • hi!

    thanks a lot for your plugin!
    I just updated to the new version (2.0.1) and now noticed in my log:

    HP Warning: curl_setopt(): CURLOPT_FOLLOWLOCATION cannot be activated when safe_mode is enabled or an open_basedir is set in [...]/wp-content/plugins/wordpress-https/wordpress-https.php on line 533

    I’m not sure if that was there before the update.
    Can you implement a check that only sets CURLOPT_FOLLOWLOCATION to true when safemode is off?

    thx

    http://wordpress.org/extend/plugins/wordpress-https/

Viewing 1 replies (of 1 total)
  • Plugin Author Mike Ems

    @mvied

    Hey whaus,

    Actually, PHP’s safe mode is deprecated and shouldn’t be used. I know you’re probably using a host that uses it, but I just thought I’d point that out.

    I’ll make it so that the warning is suppressed so that it won’t generate an error in the error log.

    Thanks,
    Mike

Viewing 1 replies (of 1 total)
  • The topic ‘[Plugin: WordPress HTTPS (SSL)] CURLOPT_FOLLOWLOCATION & Safe mode’ is closed to new replies.